Package com.xceptance.xlt.api.validators

# Class XHTMLValidator

java.lang.Object
com.xceptance.xlt.api.validators.XHTMLValidator

public class XHTMLValidator extends Object
This validator executes JTidy to check the returned HTML code for standard conformance. It supports different level of stoppage in case of validation problems.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XHTMLValidator(boolean breakOnErrors, boolean breakOnWarnings)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XHTMLValidator`
  `getInstance()`
  Returns the an instance of this validator.
  `void`
  `validate(LightWeightPage page)`
  Validates the specified lightweight HTML page.
  `void`
  `validate(String content)`
  Does the validation and raises an exception if configured.
  `void`
  `validate(HtmlPage page)`
  Validates the specified HTML page.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XHTMLValidator

    public XHTMLValidator(boolean breakOnErrors, boolean breakOnWarnings)
    Constructor.
    Parameters:
      `breakOnErrors` - should we issue an assertion in case of errors
      `breakOnWarnings` - should we issue an assertion in case of warnings

- ## Method Details

  - ### validate

    public void validate(HtmlPage page) throws Exception
    Validates the specified HTML page.
    Parameters:
      `page` - the page to check
    Throws:
      `AssertionError` - if the page fails validation
      `Exception`

  - ### validate

    public void validate(LightWeightPage page) throws Exception
    Validates the specified lightweight HTML page.
    Parameters:
      `page` - the page to check
    Throws:
      `AssertionError` - if the page fails validation
      `Exception`

  - ### validate

    public void validate(String content) throws Exception
    Does the validation and raises an exception if configured. You can use this method directly, but it is encouraged to use the default validator method instead.
    Parameters:
      `content` - the page to validate
    Throws:
      `Exception` - an exception in case of an error

  - ### getInstance

    public static XHTMLValidator getInstance()
    Returns the an instance of this validator. The validation itself can be switched ON/OFF by property.

    Note, assuming the validator is enabled by property, it will stop on ALL errors and ALL warnings.

    Returns:
      the default instance